org.scalatest.FlatSpec

# ItWord

#### class ItWord extends AnyRef

Class that supports test (and shared test) registration via the instance referenced from `FlatSpec`'s `it` field.

This class enables syntax such as the following test registration:

    it should "pop values in last-in-first-out order" in { ... }
    ^

It also enables syntax such as the following shared test registration:

    it should behave like nonEmptyStack(lastItemPushed)
    ^

For more information and examples of the use of the `it` field, see the main documentation for this trait.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ItWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ItWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def can (behaveWord: BehaveWord): BehaveWord

   Supports the registration of shared tests with `can` in a `FlatSpec`.

   Supports the registration of shared tests with `can` in a `FlatSpec`.

   This method supports syntax such as the following:

       it can behave like nonFullStack(stackWithOneItem)
          ^

   For examples of shared tests, see the Shared tests section in the main documentation for trait `FlatSpec`.

8. #### def can (string: String): ItVerbString

   Supports the registration of tests with `can` in a `FlatSpec`.

   Supports the registration of tests with `can` in a `FlatSpec`.

   This method supports syntax such as the following:

       it can "pop values in last-in-first-out order" in { ... }
          ^

   For examples of test registration, see the main documentation for trait `FlatSpec`.

9. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

10. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

11. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

13. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

14. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

15. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

16. #### def must (behaveWord: BehaveWord): BehaveWord

    Supports the registration of shared tests with `must` in a `FlatSpec`.

    Supports the registration of shared tests with `must` in a `FlatSpec`.

    This method supports syntax such as the following:

        it must behave like nonFullStack(stackWithOneItem)
           ^

    For examples of shared tests, see the Shared tests section in the main documentation for trait `FlatSpec`.

17. #### def must (string: String): ItVerbString

    Supports the registration of tests with `must` in a `FlatSpec`.

    Supports the registration of tests with `must` in a `FlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" in { ... }
           ^

    For examples of test registration, see the main documentation for trait `FlatSpec`.

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def should (behaveWord: BehaveWord): BehaveWord

    Supports the registration of shared tests with `should` in a `FlatSpec`.

    Supports the registration of shared tests with `should` in a `FlatSpec`.

    This method supports syntax such as the following:

        it should behave like nonFullStack(stackWithOneItem)
           ^

    For examples of shared tests, see the Shared tests section in the main documentation for trait `FlatSpec`.

22. #### def should (string: String): ItVerbString

    Supports the registration of tests with `should` in a `FlatSpec`.

    Supports the registration of tests with `should` in a `FlatSpec`.

    This method supports syntax such as the following:

        it should "pop values in last-in-first-out order" in { ... }
           ^

    For examples of test registration, see the main documentation for trait `FlatSpec`.

23. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def toString (): String

    Definition Classes
      AnyRef → Any

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any